
import time

keepAlive_POP = 0
keepAlive_IMAP = 1
# Time in second
default_cache_timeout = 600

class SimpleCache:
    """ Class for volatile cache """

    def __init__(self, timeout):
        """ Contructor """
        self._cache_buffer = {}
        self._timeout = timeout

    def get(self, requested, testValue = None):
        """ Return a requested valid method or value"""
        if self._cache_buffer.has_key(requested):
            value, timevalue = self._cache_buffer[requested]
            if (testValue is not None and value != testValue) or (time.time() - timevalue > self._timeout):
                self.remove(requested)
                return None
            else:
                return value
        return None

    def set(self, key, value):
        """ Set a value in the cache buffer """
        self._cache_buffer[key] = (value, time.time())
        
    def remove(self, key):
        """ Remove an entry form the buffer """
        if self._cache_buffer.has_key(key):
            del self._cache_buffer[key]

    def clear(self):
        """ Clear the buffer """
        self._cache_buffer = {}

    def setTimeout(self, timeout):
        """ Set the timeout """
        self._timeout = timeout

    def getTimeout(self):
        """ Return actual timeout value of the cache """
        return self._timeout

    def flush(self):
        """ Remove item which are time out """
        for key in self._cache_buffer.keys():
            value, timevalue = self._cache_buffer[key]
            if time.time() - timevalue > self._timeout:
                self.remove(key)

    def size(self):
        """ Return the number of keys in Cache """
        return len(self._cache_buffer.keys())
            
