"""Contains the German translations for all Webmail printable strings."""

common = {
    'language_name': ('German', 'Name of this language'),
    'WebMail': ('WebMail','Name of the tool'),
    'cancel': ('Abbrechen', 'Label for cancel'),
    'yes': ('Ja', ''),
    'no': ('Nein', ''),
    'subject': ('Betreff', 'Subject of mail'),
    'sender': ('Sender', ''),
    'recipient': ('Empfnger', ''),
    'date': ('Datum', ''),
    'size': ('Gre', ''),
    'delete': ('Lschen', ''),
    'move_to': ('verschieben nach', ''),
    'inbox': ('INBOX', 'inbox folder name'),
    'sent_mail': ('Sent-mail', 'sent-mail folder name'),
    'draft': ('Draft', 'draft folder name'),
    'trash': ('Trash', 'trash folder name'),
    'no_address_book': ("", 'no address book'),
    'Attachment': ('Anhang', ''),
    'Attachments': ('Anhnge', ''),
    'error_message': ("""
                        Verbindungsfehler. Mail server nicht erreichbar.
                        """, ''),

    'product_name' : ('Produkt Titel' , 'label for  product title '),
    'no_subject' : ('[Kein Betreff]', "display if no subject for message"),
    'error' : ('Fehler', ''),
    'save' : ('Speichern' , 'validate or save label')
    }

search = {
    'search_in': ('Suche in :   ', 'Label for the selection of folder in search interface'),
    'search': ('Suche ', 'Label for search keyword input'),
    'in': ('In', 'Label for folder to search in'),
    'the_body_message': ('Nachricht', 'choice for folder to search in'),
    'the_subject_of_message': ('Betreff', 'choice for folder to search in'),
    'the_to_field': ('Empfnger', 'choice for folder to search in'),
    'the_from_field': ('Sender', 'choice for folder to search in'),
    'since': ('Seit', 'Choice for date search request'),
    'the': ('der', 'Choice for date search request'),
    'before': ('Vor', 'Choice for date search request'),
    'flag_search_begin': ('Nachricten mit flag', 'Begin for flag search label'),
    'flag_search_end': (' nur', 'end for flag search label'),
    'lanch_search': ('Start Suche', 'Label for search button'),


    'january' : ('Januar', ''),
    'february' : ('Februar', ''),
    'march' : ('Mrz', ''),
    'april' : ('April', ''),
    'may' : ('Mai', ''),
    'june' : ('Juni', ''),
    'july' : ('July', ''),
    'august' : ('August', ''),
    'september' : ('September', ''),
    'october' : ('October', ''),
    'november' : ('November', ''),
    'december' : ('December', ''),
    'search_line_error' : ('Fehler im Suchbegriff  (Ungltige Zeichen verwendet).', 'search line error'),
    'search_date_error' : ("Datum ungltig. (1970 oder spter).", "search date error"),
    }

option = {
    'option_title': ('Einstellungen', 'title of option page'),
    'folder_option': ('Ordner Management','Label for folder management'),
    'numberof_messages_per_page': ('Anzahl der Messages pro Seite','Label for number of messages to view option'),
    'copy_to_sent_mail': ("Immer in sent-mail Ordner kopieren",'Label for copy to sent mail option'),
    'lenght_of_subject': ("Lnge des Betreffs in Ordneransicht",'Label for subject size option'),
    'attachement_view_option': ("Anhang innerhalb der Nachricht anzeigen",'Label for attachement view option'),
    'signature': ("Signatur",'Label signature'),
    'selected_folder': ("(gewhlte Ordner)",'help label'),
    'save': ("Speichern",'save button'),
    'new_folder_title': ("Neuen Ordner erstellen",'The title for folder add form'),
    'name_of_the_folder': ("Name des neuen Ordners",'folder name label'),
    'folder_add_help_message': ("""
                                Benutze '.' um Unterordner zu erstellen (z.B. : color.yellow erzeugt den Ordner yellow im Ordner color)
                                """,'folder add help message'),

    'theme' : ('Farbschema', 'label for Theme'),
    'language' : ('Sprache', 'label for language'),
    'edit_params_link' : ('Mail server Parameter', 'label for edit parmas link'),
    'create_new_folder' : ('Neue Ordner erstellen', 'label for new folder creation'),
    'no_folder_to_delete' : ("Es gibt keinen Ordner zu Lschen.", "no folder to delete label"),
    'delete_folder_title' : ("Lsche Ordner", "label title for confirm delete folder"),
    'delete_folder_alert' :("<u>Warnung !</u> Beim Lschen eines Ordners werden auch seine gesamten Inhalte (Mails) gelscht ", "delete folder warning"),
    'no_folder_selected' : ("Kein Ordner zum Lschen ausgewhlt!.", "no folder selected alert"),
    'folder_add_help_message': ("""
                                Warnung ! Punkt <b>.</b> darf ausschlielich zum Erzeugen von Subordnern verwendet werden.<br>
                                <u>Wenn der Ordner</u> \"Farbe\" exisitiert und der Subordner \"rot\", angelegt werden soll, einfach \"Farbe.rot\" tippen<br>
                                Be carreful with characters case.

                                """, "display warning message for use '.' in folder names"),
    'add': ("Hinzufgen",'add button'),
    'create_folder_error' :("Warnung : Ordner kann nicht angelegt werden. Orndername existiert bereits oder beinhaltet ungltige Zeichen.", 'folder creation error'),
    }

message_view = {
    'view_message_title': ('', 'title of view message page'),
    'answer': ('Antwort', 'link to answer message form'),
    'answer_all': ('Antworte allen', 'link to answer all message form'),
    'forward': ('Weiterleiten', 'link to forward message form'),
    'source': ('Quelle', 'link to source message page'),
    'printPreview': ('Druckvorschau', 'link to printable message view'),
    'add_flag': ('Option hinzufgen', 'link to add flag'),
    'go_back_to_message_list': ('Zurck zur Liste', 'link to go back to the folder view'),
    'from': ('Von', 'Label for sender'),
    'to': ('An', 'Label for recipient'),

    'save_attachment_to_stuff' : ('Verschiebe nach stuff', 'label  for copy selected attachment to stuff'),
    'joined_mail' : ('(mail joined as attachment)', 'label for notice joined mail in attachment'),
    'files_joined' : ('Joined files', 'label for joined files'),
    'folder_name' : ('Ordnername', 'label for name of the folder'),
    'content_type' : ('Inhaltstyp', 'lable for content type'),
    'cc': ('Cc', 'for view message page'),
    'add_to' : ('Fge hinzu', 'label for add to'),
    'next' : ('nchste', 'label for next'),
    'previous' : ('vorige', 'lablel for previous'),
    'remove_flag' : ('Flag entfernen', 'remove message flag Flagged'),
    'new_contact_added' : ("Neuer Kontakt wurde zu MailBook oder AddressBook hinzugefgt ", 'new contact added to MailBook or AddressBook'),
    }

message_edit = {
    'edit_message_title': ('', 'title of message edit page'),
    'to': ('An', 'title of edition page'),
    'cc': ('CC', 'title of edition page'),
    'bcc': ('BCC', 'title of edition page'),
    'subject': ('Betreff', 'title of edition page'),
    'copy_to_sent_mail_yes_no': ('In sent-mail ablegen', 'title of edition page'),
    'send': ('Senden', 'send button'),
    'save_in_draft': ('Als Entwurf speichern', 'title of edition page'),

    'send_mail_fails':("Entweder ist der SMTP Server nich erreichbar, oder die Adresse ist inkorrekt. Mail wurde NICHT gesendet.", 'send message failed')
    }

folder = {
    'check_link': ('Nach neuer Mail sehen', 'Link to check new messages'),
    'compose_link': ("Neue Mail erstellen", 'Link to compose message form'),
    'search_link': ("Suchen", 'Link to search message form'),
    'option_link': ("Optionen", 'Link to options set form'),
    'number_of_messages' : ("Nachricht(en)","After the number of messages label"),
    'of_mail_quota' : (" benutzter Platz","After the percent of used place label"),
    'all': ("Alle", 'Link to select all messages'),
    'none': ("Keine", 'Link to unselect all messages'),
    'selected_messages': ("(gewhlte Nachrichten)", 'help label near delete button'),
    'new_folder_link': ("Ordner anlegen", 'link to new folder page'),

    'quota_alert' : (""" Warnung : Verfgbarer Platz bald erschpft.<br>
                         Die grten Nachrichten knnen nicht in den Papierkorb oder in andere Ordner verschoben werden.""", "mail quota alert"),
    'is_del' : ("gel.", "message's mark if flag deleted is on"),
    'empty_trash' : ('Papierkorb leeren', 'empty trash button label'),
    'warning_pop_delete' : ('Achtung, die Nachrichten sind endgltig zerstrt, einschlielich auf den Server, der ist mail.', 'warning destruct messages in POP protocol'),
    }


#new dico
wmail_config = {

    'config_title' : ('Mail host Einstellungen', 'config_title'),
    'login_label' : ("Benutzer", 'login label'),
    'passwd_label' : ("Passwort", "passwd label"),
    'email_label' : ('E-mail', 'e-mail label'),
    'name_label' : ('Nachname & Vorame', 'last name and first name lable'),
    'protocol' : ('Protokoll', 'protocol POP or IMAP'),
    'imap_server_label' : ('IMAP / POP host', 'imap or pop server label'),
    'imap_port_label' : ('IMAP / POP port (optional)', 'imap or pop port label'),
    'smtp_server_label' : ('SMTP host', 'smtp server label'),
    'smtp_port_label' : ('SMTP port (optional)', 'smtp port label'),
    'param_error' : ("""<u>Warnung </u>:
                        Mail server nicht erreichbar. Bitte Einstellungen berprfen.
                        <br>
                        """,'param error label')
    }

# All vocabularies combined
vocabulary = {'common': common,
              'search': search,
              'option': option,
              'message_view': message_view,
              'message_edit' : message_edit,
              'folder': folder,
              'wmail_config' : wmail_config
              }
