"""Contains the english translations for all Webmail printable strings."""

common = {
    'language_name': ('English', 'Name of this language'),
    'WebMail': ('WebMail','Name of the tool'),
    'cancel': ('Cancel', 'Label for cancel'),
    'yes': ('Yes', ''),
    'no': ('No', ''),
    'subject': ('Subject', 'Subject of mail'),
    'sender': ('Sender', ''),
    'recipient': ('Recipient', ''),
    'date': ('date', ''),
    'size': ('size', ''),
    'delete': ('delete', ''),
    'move_to': ('move to', ''),
    'inbox': ('INBOX', 'inbox folder name'),
    'sent_mail': ('Sent-mail', 'sent-mail folder name'),
    'draft': ('Draft', 'draft folder name'),
    'trash': ('Trash', 'trash folder name'),
    'no_address_book': ("", 'no address book'),
    'Attachment': ('Attachment', ''),
    'Attachments': ('Attachments', ''),
    'error_message': ("""
                        Connection error. Mail server out of order.
                        """, ''),

    'product_name' : ('Product title' , 'label for  product title '),
    'no_subject' : ('[No subject]', "display if no subject for message"),
    'error' : ('Error', ''),
    'save' : ('Save' , 'validate or save label')
    }

search = {
    'search_in': ('Search in :   ', 'Label for the selection of folder in search interface'),
    'search': ('Search ', 'Label for search keyword input'),
    'in': ('In', 'Label for folder to search in'),
    'the_body_message': ('Message body', 'choice for folder to search in'),
    'the_subject_of_message': ('Subject', 'choice for folder to search in'),
    'the_to_field': ('Recipient field', 'choice for folder to search in'),
    'the_from_field': ('Sender field', 'choice for folder to search in'),
    'since': ('Since', 'Choice for date search request'),
    'the': ('The', 'Choice for date search request'),
    'before': ('Before', 'Choice for date search request'),
    'flag_search_begin': ('Messages with flag', 'Begin for flag search label'),
    'flag_search_end': (' only', 'end for flag search label'),
    'lanch_search': ('Find', 'Label for search button'),


    'january' : ('january', ''),
    'february' : ('february', ''),
    'march' : ('march', ''),
    'april' : ('april', ''),
    'may' : ('may', ''),
    'june' : ('june', ''),
    'july' : ('july', ''),
    'august' : ('august', ''),
    'september' : ('september', ''),
    'october' : ('october', ''),
    'november' : ('november', ''),
    'december' : ('december', ''),
    'search_line_error' : ('Search line error (somme characters are not allowed).', 'search line error'),
    'search_date_error' : ("Date not valid. (1970 or more).", "search date error"),
    }

option = {
    'option_title': ('Options', 'title of option page'),
    'folder_option': ('Folders management','Label for folder management'),
    'numberof_messages_per_page': ('Number of messages per page','Label for number of messages to view option'),
    'copy_to_sent_mail': ("Always copy to sent-mail folder",'Label for copy to sent mail option'),
    'lenght_of_subject': ("Lenght of subject in folder view",'Label for subject size option'),
    'attachement_view_option': ("View attachment in message body",'Label for attachement view option'),
    'signature': ("Signature",'Label signature'),
    'selected_folder': ("(selected folders)",'help label'),
    'save': ("Save",'save button'),
    'new_folder_title': ("Create new IMAP folder",'The title for folder add form'),
    'name_of_the_folder': ("Name of the new folder",'folder name label'),
    'folder_add_help_message': ("""
                                Use '.' to create sub-folder (ex : color.yellow to create yellow subfloder in color folder)
                                """,'folder add help message'),

    'theme' : ('Theme', 'label for Theme'),
    'language' : ('Language', 'label for language'),
    'edit_params_link' : ('Mail host parameters configuration', 'label for edit parmas link'),
    'create_new_folder' : ('Create new folder', 'label for new folder creation'),
    'no_folder_to_delete' : ("You have no folder to delete.", "no folder to delete label"),
    'delete_folder_title' : ("Deleting folder(s)", "label title for confirm delete folder"),
    'delete_folder_alert' :("<u>Wraning !</u> Deleting folder(s) will delete ALL messages in this folder(s) ", "delete folder warning"),
    'no_folder_selected' : ("You didn't select any folder to delete.", "no folder selected alert"),
    'folder_add_help_message': ("""
                                Warning ! Point character <b>.</b> must be only use for sub-folder creation.<br>
                                <u>If you have folder</u> \"color\" and want sub-folder \"red\", just do \"color.red\"<br>
                                Be carreful with characters case.

                                """, "display warning message for use '.' in folder names"),
    'add': ("Ajouter",'add button'),
    'create_folder_error' :("Warning : folder creation error. Folder name still exist or have forbiden characters.", 'folder creation error'),
    }

message_view = {
    'view_message_title': ('', 'title of view message page'),
    'answer': ('Reply', 'link to answer message form'),
    'answer_all': ('Reply all', 'link to answer all message form'),
    'forward': ('Forward', 'link to forward message form'),
    'source': ('source', 'link to source message page'),
    'printPreview': ('Print preview', 'link to printable message view'),
    'add_flag': ('add a flag', 'link to add flag'),
    'go_back_to_message_list': ('back to message list', 'link to go back to the folder view'),
    'from': ('From', 'Label for sender'),
    'to': ('To', 'Label for recipient'),

    'save_attachment_to_stuff' : ('Move to stuff', 'label  for copy selected attachment to stuff'),
    'joined_mail' : ('(mail joined as attachment)', 'label for notice joined mail in attachment'),
    'files_joined' : ('Joined files', 'label for joined files'),
    'folder_name' : ('Folder name', 'label for name of the folder'),
    'content_type' : ('Content Type', 'lable for content type'),
    'cc': ('Cc', 'for view message page'),
    'add_to' : ('add to', 'label for add to'),
    'next' : ('next', 'label for next'),
    'previous' : ('previous', 'lablel for previous'),
    'remove_flag' : ('remove flag', 'remove message flag Flagged'),
    'new_contact_added' : ("New contact added to MailBook or AddressBook ", 'new contact added to MailBook or AddressBook'),
    }

message_edit = {
    'edit_message_title': ('', 'title of message edit page'),
    'to': ('To', 'title of edition page'),
    'cc': ('CC', 'title of edition page'),
    'bcc': ('BCC', 'title of edition page'),
    'subject': ('Subject', 'title of edition page'),
    'copy_to_sent_mail_yes_no': ('Copy to sent-mail', 'title of edition page'),
    'send': ('Send', 'send button'),
    'save_in_draft': ('Save as draft', 'title of edition page'),

    'send_mail_fails':("recipient e-mail looks to be incompatible or host mail is down. Your message has not been sent.", 'send message failed')
    }

folder = {
    'check_link': ('Check New Mail', 'Link to check new messages'),
    'compose_link': ("Compose", 'Link to compose message form'),
    'search_link': ("Search", 'Link to search message form'),
    'option_link': ("Options", 'Link to options set form'),
    'number_of_messages' : ("message(s)","After the number of messages label"),
    'of_mail_quota' : (" space used","After the percent of used place label"),
    'all': ("All", 'Link to select all messages'),
    'none': ("None", 'Link to unselect all messages'),
    'selected_messages': ("(selected message)", 'help label near delete button'),
    'new_folder_link': ("Add folder", 'link to new folder page'),

    'quota_alert' : (""" Warning : mail space soon full.<br>
                         Biggest messages can't be moved to trash or other folders.""", "mail quota alert"),
    'is_del' : ("Del", "message's mark if flag deleted is on"),
    'empty_trash' : ('empty trash', 'empty trash button label'),
    'warning_pop_delete' : ('Warning, messages are destroyed definitively, including on mail\'s server.', 'warning destruct messages in POP protocol'),
    }


#new dico
wmail_config = {

    'config_title' : ('Mail host parameters', 'config_title'),
    'login_label' : ("Login", 'login label'),
    'passwd_label' : ("Password", "passwd label"),
    'email_label' : ('E-mail', 'e-mail label'),
    'name_label' : ('Lastname & FirstName', 'last name and first name lable'),
    'protocol' : ('Protocol', 'protocol POP or IMAP'),
    'imap_server_label' : ('IMAP / POP host', 'imap server label'),
    'imap_port_label' : ('IMAP / POP port (optional)', 'imap port label'),
    'smtp_server_label' : ('SMTP host', 'smtp server label'),
    'smtp_port_label' : ('SMTP port (optional)', 'smtp port label'),
    'param_error' : ("""<u>Warning </u>:
                        Mail server connection fails. Check your params.
                        <br>
                        """,'param error label')
    }

# All vocabularies combined
vocabulary = {'common': common,
              'search': search,
              'option': option,
              'message_view': message_view,
              'message_edit' : message_edit,
              'folder': folder,
              'wmail_config' : wmail_config
              }
