"""Contains the italian translations for all Webmail printable strings.

Chaque ligne est de la forme :
   'identifiant': ('Mot a traduire', 'explication')

Il faut traduire en italien uniquement la partie 'mot a traduire' 

"""

common = {
    'language_name': ('Italiano', 'Name of this language'),
    'WebMail': ('WebMail','Name of the tool'),
    'cancel': ('Annulla', 'Label for cancel'),
    'yes': ('Si', ''),
    'no': ('No', ''),
    'subject': ('Oggetto', 'Subject of mail'),
    'sender': ('Da', ''),
    'recipient': ('A', ''),
    'date': ('Data', ''),
    'size': ('Dimensioni', ''),
    'delete': ('Elimina', ''),
    'move_to': ('Sposta', ''),
    'inbox': ('Posta in arrivo', 'inbox folder name'),
    'sent_mail': ('Posta inviata', 'sent-mail folder name'),
    'draft': ('Bozze', 'draft folder name'),
    'trash': ('Cestino', 'trash folder name'),
    'no_address_book': ("", 'no address book'),
    'Attachment': ('Allegato', ''),
    'Attachments': ('Allegati', ''),
    'error_message': ("""
                        Be careful : Connection error
                        """, ''),

    'product_name' : ('Product title' , 'label for  product title '),
    'no_subject' : ('[No subject]', "display if no subject for message"),
    'error' : ('Error', ''),
    'save' : ('Save' , 'validate or save label')
    }

search = {
    'search_in': ('Cerca in:   ', 'Label for the selection of folder in search interface'),
    'search': ('Cerca', 'Label for search keyword input'),
    'in': ('In', 'Label for folder to search in'),
    'the_body_message': ('Corpo del messaggio', 'choice for folder to search in'),
    'the_subject_of_message': ('Oggetto', 'choice for folder to search in'),
    'the_to_field': ('A', 'choice for folder to search in'),
    'the_from_field': ('Da', 'choice for folder to search in'),
    'since': ('Da', 'Choice for date search request'),
    'the': ('Il', 'Choice for date search request'),
    'before': ('Prima', 'Choice for date search request'),
    'flag_search_begin': ('Messaggi contrassegnati', 'Begin for flag search label'),
    'flag_search_end': (' solo', 'end for flag search label'),
    'lanch_search': ('Trova', 'Label for search button'),

    'january' : ('january', ''),
    'february' : ('february', ''),
    'march' : ('march', ''),
    'april' : ('april', ''),
    'may' : ('may', ''),
    'june' : ('june', ''),
    'july' : ('july', ''),
    'august' : ('august', ''),
    'september' : ('september', ''),
    'october' : ('october', ''),
    'november' : ('november', ''),
    'december' : ('december', ''),
    'search_line_error' : ('Search line error (somme characters are not allowed).', 'search line error'),
    'search_date_error' : ("Date not valid. (1970 or more).", "search date error"),
    }

option = {
    'option_title': ('Opzioni', 'title of option page'),
    'folder_option': ('Gestione cartelle','Label for folder management'),
    'numberof_messages_per_page': ('numero dei messaggi per pagina','Label for number of messages to view option'),
    'copy_to_sent_mail': ("Copia sempre nella cartella posta inviata",'Label for copy to sent mail option'),
    'lenght_of_subject': ("Lunghezza dell'oggetto nella finestra di visualizzazione",'Label for subject size option'),
    'attachement_view_option': ("Mostra gli allegati nel corpo del messaggio",'Label for attachement view option'),
    'signature': ("Firma",'Label signature'),
    'selected_folder': ("(cartella selezionata)",'help label'),
    'save': ("Salva",'save button'),
    'new_folder_title': ("Aggiungi cartella sul server IMAP",'The title for folder add form'),
    'name_of_the_folder': ("Nome della nuova cartella",'folder name label'),
    'folder_add_help_message': ("""
                                Use '.' to create sub-folder (ex : color.yellow to create yellow subfloder in color folder)
                                """,'folder add help message'),
    'add': ("Aggingi",'add button'),

    'theme' : ('Theme', 'label for Theme'),
    'language' : ('Language', 'label for language'),
    'edit_params_link' : ('Mail host parameters configuration', 'label for edit parmas link'),
    'create_new_folder' : ('Create new folder', 'label for new folder creation'),
    'no_folder_to_delete' : ("You have no folder to delete.", "no folder to delete label"),
    'delete_folder_title' : ("Deleting folder(s)", "label title for confirm delete folder"),
    'delete_folder_alert' :("<u>Wraning !</u> Deleting folder(s) will delete ALL messages in this folder(s) ", "delete folder warning"),
    'no_folder_selected' : ("You didn't select any folder to delete.", "no folder selected alert"),
    'folder_add_help_message': ("""
                                Warning ! Point character <b>.</b> must be only use for sub-folder creation.<br>
                                <u>If you have folder</u> \"color\" and want sub-folder \"red\", just do \"color.red\"<br>
                                Be carreful with characters case.

                                """, "display warning message for use '.' in folder names"),
    'create_folder_error' :("Warning : folder creation error. Folder name still exist or have forbiden characters.", 'folder creation error'),

    }

message_view = {
    'view_message_title': ('', 'title of view message page'),
    'answer': ('Rispondi', 'link to answer message form'),
    'answer_all': ('Rispondi a tutti', 'link to answer all message form'),
    'forward': ('Inoltra', 'link to forward message form'),
    'source': ('Messaggio originale', 'link to source message page'),
    'printPreview': ('Anteprima di stampa', 'link to printable message view'),
    'add_flag': ('Contrassegna', 'link to add flag'),
    'go_back_to_message_list': ('Torna alla liata dei messaggi', 'link to go back to the folder view'),
    'from': ('DA', 'Label for sender'),
    'to': ('A', 'Label for recipient'),

    'save_attachment_to_stuff' : ('Move to stuff', 'label  for copy selected attachment to stuff'),
    'joined_mail' : ('(mail joined as attachment)', 'label for notice joined mail in attachment'),
    'files_joined' : ('Joined files', 'label for joined files'),
    'folder_name' : ('Folder name', 'label for name of the folder'),
    'content_type' : ('Content Type', 'lable for content type'),
    'cc': ('Cc', 'for view message page'),
    'add_to' : ('add to', 'label for add to'),
    'next' : ('next', 'label for next'),
    'previous' : ('previous', 'lablel for previous'),
    'remove_flag' : ('remove flag', 'remove message flag Flagged'),
    'new_contact_added' : ("New contact added to MailBook or AddressBook ", 'new contact added to MailBook or AddressBook'),
    }

message_edit = {
    'edit_message_title': ('', 'title of message edit page'),
    'to': ('A', 'title of edition page'),
    'cc': ('CC', 'title of edition page'),
    'bcc': ('CCN', 'title of edition page'),
    'subject': ('Oggetto', 'title of edition page'),
    'copy_to_sent_mail_yes_no': ('Copia nella cartella posta inviata', 'title of edition page'),
    'send': ('Invia', 'send button'),
    'save_in_draft': ('Salva come bozza', 'title of edition page'),

    'send_mail_fails':("recipient e-mail looks to be incompatible or host mail is down. Your message has not been sent.", 'send message failed')
    }

folder = {
    'check_link': ('Ricevi', 'Link to check new messages'),
    'compose_link': ("Componi", 'Link to compose message form'),
    'search_link': ("Cerca", 'Link to search message form'),
    'option_link': ("Opzioni", 'Link to options set form'),
    'number_of_messages' : ("Messaggio/i","After the number of messages label"),
    'of_mail_quota' : ("Spazio esaurito","After the percent of used place label"),
    'all': ("Seleziona tutto", 'Link to select all messages'),
    'none': ("Deseleziona", 'Link to unselect all messages'),
    'selected_messages': ("(messaggi selezionati)", 'help label near delete button'),
    'new_folder_link': ("Aggiungi cartella", 'link to new folder page'),

    'quota_alert' : (""" Warning : mail space soon full.<br>
                         Biggest messages can't be moved to trash or other folders.""", "mail quota alert"),
    'is_del' : ("Del", "message's mark if flag deleted is on"),
    'empty_trash' : ('empty trash', 'empty trash button label'),
    'warning_pop_delete' : ('Warning, messages are destroyed definitively, including on mail\'s server.', 'warning destruct messages in POP protocol'),
    }

#new dico
wmail_config = {

    'config_title' : ('Mail host parameters', 'config_title'),
    'login_label' : ("Login", 'login label'),
    'passwd_label' : ("Password", "passwd label"),
    'email_label' : ('E-mail', 'e-mail label'),
    'name_label' : ('Lastname & FirstName', 'last name and first name lable'),
    'protocol' : ('Protocol', 'protocol POP or IMAP'),
    'imap_server_label' : ('IMAP / POP host', 'imap or pop server label'),
    'imap_port_label' : ('IMAP / POP port (optional)', 'imap or pop port label'),
    'smtp_server_label' : ('SMTP host', 'smtp server label'),
    'smtp_port_label' : ('SMTP port (optional)', 'smtp port label'),
    'param_error' : ("""<u>Warning </u>:
                        Mail server connection fails. Check your params.
                        <br>
                        """,'param error label')
    }

# All vocabularies combined
vocabulary = {'common': common,
              'search': search,
              'option': option,
              'message_view': message_view,
              'message_edit' : message_edit,
              'folder': folder,
              'wmail_config' : wmail_config
              }
